import { scenicIntroduction } from '../../../services';
Component({
  mixins: [],
  data: {
    buyDescribe: null // 简介

  },
  props: {
    senicDetail: {},
    scenicId: ''
  },

  didUpdate() {},

  didUnmount() {},

  methods: {
    getPurchaseInfo() {
      const {
        scenicId: id
      } = this.props;
      return scenicIntroduction({
        id
      });
    },

    // 跳转地图页面
    goMap() {
      const {
        senicDetail
      } = this.props;
      my.openLocation({
        longitude: senicDetail.scenicLongitude,
        latitude: senicDetail.scenicLatitude,
        name: senicDetail.scenicName,
        address: senicDetail.scenicAddress
      });
    }

  }
});